CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-3846

A flaw that allowed an attacker to corrupt memory and possibly escalate privileges was found in the mwifiex kernel module while connecting to a malicious wireless network.
Publish Date : 2019-06-03 Last Update Date : 2020-10-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
8.3
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 787

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:2703: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20192703 unix
RHSA-2019:2741: kernel-rt security and bug fix update (Important) oval:com.redhat.rhsa:def:20192741 unix
RHSA-2019:3055: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20193055 unix
RHSA-2019:3076: kpatch-patch security update (Important) oval:com.redhat.rhsa:def:20193076 unix
RHSA-2019:3089: kernel-rt security and bug fix update (Important) oval:com.redhat.rhsa:def:20193089 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-3846

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 19.04 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
7 OS Fedoraproject Fedora 29 * * * Version Details Vulnerabilities
8 OS Fedoraproject Fedora 30 * * * Version Details Vulnerabilities
9 OS Linux Linux Kernel - * * * Version Details Vulnerabilities
10 Application Netapp Active Iq Unified Manager For Vmware Vsphere * * * * Version Details Vulnerabilities
11 Application Netapp Hci Management Node - * * * Version Details Vulnerabilities
12 Application Netapp Solidfire - * * * Version Details Vulnerabilities
13 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities
14 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities
15 OS Opensuse Leap 42.3 * * * Version Details Vulnerabilities
16 OS Redhat Enterprise Linux 6.0 * * * Version Details Vulnerabilities
17 OS Redhat Enterprise Linux 7.0 * * * Version Details Vulnerabilities
18 OS Redhat Enterprise Linux 8.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 2
Fedoraproject Fedora 2
Linux Linux Kernel 1
Netapp Active Iq Unified Manager For Vmware Vsphere 1
Netapp Hci Management Node 1
Netapp Solidfire 1
Opensuse Leap 3
Redhat Enterprise Linux 3

- References For CVE-2019-3846

https://access.redhat.com/errata/RHSA-2019:2703
REDHAT RHSA-2019:2703
https://access.redhat.com/errata/RHSA-2019:2741
REDHAT RHSA-2019:2741
https://access.redhat.com/errata/RHSA-2019:3089
REDHAT RHSA-2019:3089
https://usn.ubuntu.com/4117-1/
UBUNTU USN-4117-1
https://access.redhat.com/errata/RHSA-2019:3055
REDHAT RHSA-2019:3055
https://access.redhat.com/errata/RHSA-2019:3076
REDHAT RHSA-2019:3076
https://usn.ubuntu.com/4118-1/
UBUNTU USN-4118-1
http://packetstormsecurity.com/files/154245/Kernel-Live-Patch-Security-Notice-LSN-0054-1.html
https://usn.ubuntu.com/4094-1/
UBUNTU USN-4094-1
https://usn.ubuntu.com/4093-1/
UBUNTU USN-4093-1
https://usn.ubuntu.com/4095-1/
UBUNTU USN-4095-1
https://usn.ubuntu.com/4095-2/
UBUNTU USN-4095-2
http://packetstormsecurity.com/files/153702/Slackware-Security-Advisory-Slackware-14.2-kernel-Updates.html
https://seclists.org/bugtraq/2019/Jul/33
BUGTRAQ 20190722 [slackware-security] Slackware 14.2 kernel (SSA:2019-202-01)
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00048.html
SUSE openSUSE-SU-2019:1579
https://security.netapp.com/advisory/ntap-20190710-0002/ CONFIRM
https://seclists.org/bugtraq/2019/Jun/26
BUGTRAQ 20190618 [SECURITY] [DSA 4465-1] linux security update
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00040.html
SUSE openSUSE-SU-2019:1571
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00039.html
SUSE openSUSE-SU-2019:1570
https://lists.debian.org/debian-lts-announce/2019/06/msg00011.html
MLIST [debian-lts-announce] 20190618 [SECURITY] [DLA 1824-1] linux-4.9 security update
https://lists.debian.org/debian-lts-announce/2019/06/msg00010.html
MLIST [debian-lts-announce] 20190617 [SECURITY] [DLA 1823-1] linux security update
https://www.debian.org/security/2019/dsa-4465
DEBIAN DSA-4465
https://lists.fedoraproject.org/archives/list/[email protected]/message/J36BIJTKEPUOZKJNHQBUZA47RQONUKOI/
FEDORA FEDORA-2019-f40bd7826f
https://lists.fedoraproject.org/archives/list/[email protected]/message/KLGWJKLMTBBB53D5QLS4HOY2EH246WBE/
FEDORA FEDORA-2019-7ec378191e
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-3846 CONFIRM
https://seclists.org/oss-sec/2019/q2/133
http://packetstormsecurity.com/files/154951/Kernel-Live-Patch-Security-Notice-LSN-0058-1.html
https://access.redhat.com/errata/RHSA-2020:0174
REDHAT RHSA-2020:0174

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2019-3846

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.